GET Get Recurring Campaign Email​
GET
/recurring-campaigns/{campaign_id}/emails/{email_id}
Retrieve a single child email from a recurring campaign. Returns both the parent recurring campaign and the specific email. If the email has a scheduled status and its scheduled time has passed, its status is automatically updated to working. Requires FluentCampaign Pro.
Authorizations​
ApplicationPasswords
WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password
Type
API Key (header: Authorization)
Parameters​
Path Parameters
campaign_id*
The parent recurring campaign ID.
Type
Requiredinteger
email_id*
The child email ID.
Type
Requiredinteger
Responses​
Recurring campaign email details.
application/json
JSON
{
"campaign": {
"id": 0,
"title": "string",
"slug": "string",
"status": "string",
"type": "string",
"template_id": 0,
"email_subject": "string",
"email_pre_header": "string",
"email_body": "string",
"recipients_count": 0,
"utm_status": 0,
"utm_source": "string",
"utm_medium": "string",
"utm_campaign": "string",
"utm_term": "string",
"utm_content": "string",
"design_template": "string",
"scheduled_at": "string",
"settings": {
"mailer_settings": {
"from_name": "string",
"from_email": "string",
"reply_to_name": "string",
"reply_to_email": "string",
"is_custom": "string"
},
"scheduling_settings": {
"type": "string",
"day": "string",
"time": "string",
"send_automatically": "string"
},
"sending_conditions": [
{
}
],
"subscribers_settings": {
"subscribers": [
{
}
],
"excludedSubscribers": [
{
}
],
"sending_filter": "string",
"dynamic_segment": {
},
"advanced_filters": [
[
]
]
},
"template_config": {
}
},
"created_by": 0,
"created_at": "string",
"updated_at": "string"
},
"email": {
"id": 0,
"parent_id": 0,
"title": "string",
"slug": "string",
"type": "string",
"status": "string",
"template_id": 0,
"email_subject": "string",
"email_pre_header": "string",
"email_body": "string",
"recipients_count": 0,
"design_template": "string",
"scheduled_at": "string",
"settings": {
"mailer_settings": {
"from_name": "string",
"from_email": "string",
"reply_to_name": "string",
"reply_to_email": "string",
"is_custom": "string"
}
},
"created_by": 0,
"created_at": "string",
"updated_at": "string"
}
}